JsonCpp project page | Classes | Namespace | JsonCpp home page

Json::Reader::StructuredError Struct Reference

An error tagged with where in the JSON text it was encountered. More...

`#include <json/reader.h>`

## Public Attributes

ptrdiff_t | offset_start
ptrdiff_t | offset_limit
String | message

## Detailed Description

An error tagged with where in the JSON text it was encountered.

The offsets give the [start, limit) range of bytes within the text. Note that this is bytes, not codepoints.

Definition at line 47 of file reader.h.

## Member Data Documentation

## message

String Json::Reader::StructuredError::message

Definition at line 50 of file reader.h.

Referenced by Json::Reader::getStructuredErrors().

## offset_limit

ptrdiff_t Json::Reader::StructuredError::offset_limit

Definition at line 49 of file reader.h.

Referenced by Json::Reader::getStructuredErrors().

## offset_start

ptrdiff_t Json::Reader::StructuredError::offset_start

Definition at line 48 of file reader.h.

Referenced by Json::Reader::getStructuredErrors().

The documentation for this struct was generated from the following file:

- include/json/reader.h